#
# spec file for package epub2txt2
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global _commit_hash ac4e73fa79202ccc106b36c06c20e36c37345a58

Name:           epub2txt2
Version:        2.06
Release:        1.5
Summary:        Simple command-line utility for extracting text from EPUB documents
License:        GPL-3.0-only
Group:          Productivity/Text/Utilities
URL:            https://github.com/kevinboone/epub2txt2
Source0:        https://github.com/kevinboone/epub2txt2/archive/%{_commit_hash}.tar.gz
Patch0:         54b41e87156bc823d5938749d71c4c57adc75b1b.patch
BuildRequires:  gcc
BuildRequires:  make
Requires:       unzip

%description
Simple command-line utility for extracting text from EPUB documents

%prep
%autosetup -n %{name}-%{_commit_hash} -p1

%build
%make_build

%install
%make_install

%files
%license LICENSE
%doc README.md
%{_bindir}/epub2txt
%{_mandir}/man1/epub2txt.1%{?ext_man}

%changelog
* Thu Jul 28 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update to version 2.06:
  * No changelog available
- Added 54b41e87156bc823d5938749d71c4c57adc75b1b.patch:
  * Fixed handling of URL-encoded spine hrefs
* Sun May  1 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- remove patches:
  * bmwiedemann-sort.patch
  * LICENSE.patch
* Sun May  1 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- remention patch files in spec but do not use them
* Sun May  1 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- revert: remove patches
* Sun May  1 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- remention patch files in spec but only use bmwiedemann-sort.patch
* Sun May  1 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- remove patch argument in spec file
* Sun May  1 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update epub2text2 to version 2.04 (commit hash: 02f69e6243d6c96f78da45fb710a265e5aee2fb5)
* Wed Mar 30 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- replace %%{version} to a custom %%{_commit_hash} to fix build errors
* Tue Mar 29 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Use the commit hash instead. Upstream maintainer didn't tagged a release
  and only changed the README that it is version 2.03. This is to clarify
  that commit `10e9ac86df9a823d7470deaaa50c44d2857ee6f7` is 2.03.
* Tue Mar 29 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Fix spec and sources.
* Tue Mar 29 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update epub2text2 version to 2.03:
  * Fixed buffer overrun bug
- Update patches:
  * Add bmwiedemann/sort patch for reproducible builds
  * Use `%%autopatch -p1` in spec file
- add bmwiedemann-sort.patch
* Sat Mar 12 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial spec for epub2text2 (2.01)
